using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Routing;
using Microsoft.Extensions.DependencyInjection;
using Oap.OapApplication;
using OrchardCore.Data.Migration;

namespace Oap.Content;

public class Startup : OrchardCore.Modules.StartupBase
{
	public override void ConfigureServices(IServiceCollection services)
	{
		services.AddScoped<OapApplicationPart>();

		services.AddDataMigration<Migrations>();
	}

	public override void Configure(IApplicationBuilder builder, IEndpointRouteBuilder routes, IServiceProvider serviceProvider)
	{
	}
}
